Skip to navigation

Update group information

View as Markdown
Updates the group name.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

Request

This endpoint expects an object: groupInformation

endPositionstringOptional
The last index position in the result set.
groupslist of objectsOptional
A collection group objects containing information about the groups.
nextUristringOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

previousUristringOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

resultSetSizestringOptional

The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.

startPositionstringOptional
The starting index position of the current result set.
totalSetSizestringOptional

The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.

Response

Successful response.
endPositionstringOptional
The last index position in the result set.
groupslist of objectsOptional
A collection group objects containing information about the groups.
nextUristringOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

previousUristringOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

resultSetSizestringOptional

The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.

startPositionstringOptional
The starting index position of the current result set.
totalSetSizestringOptional

The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.

Errors

400
Bad Request Error